Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
foomatic-filters-3.0.2 (solved)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
pinr
Apprentice
Apprentice


Joined: 26 Jan 2003
Posts: 241
Location: Monterrey, Mexico

PostPosted: Sat Apr 07, 2007 3:24 pm    Post subject: foomatic-filters-3.0.2 (solved) Reply with quote

After and emerge --sync today I get:
emerge -pvD world

These are the packages that would be merged, in order:

Calculating world dependencies \
emerge: there are no ebuilds to satisfy "=net-print/foomatic-filters-3.0.2".
(dependency required by "net-print/foomatic-3.0.2" [installed])



!!! Problem resolving dependencies for net-print/foomatic
!!! Depgraph creation failed.

Indeed there is no net-print/foomatic-filters-3.0.2 a directory listing gives:
ls /usr/portage/net-print/foomatic-filters
ChangeLog foomatic-filters-3.0.2-r1.ebuild
Manifest foomatic-filters-3.0.20060720.ebuild
files metadata.xml


Last edited by pinr on Tue May 01, 2007 4:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
Arfrever
Bodhisattva
Bodhisattva


Joined: 29 Apr 2006
Posts: 2462
Location: Polska / Lenkija

PostPosted: Sat Apr 07, 2007 3:41 pm    Post subject: Reply with quote

pinr wrote:
Code:
emerge -pvD world

You forgot about option "-u". Try:
Code:
emerge -uDNptv --with-bdeps=y world


Perduodu linkėjimus
Arfrever
Back to top
View user's profile Send private message
guard001
n00b
n00b


Joined: 01 Nov 2002
Posts: 8
Location: Panama, Rep. of Panama

PostPosted: Sat Apr 07, 2007 3:51 pm    Post subject: Re: foomatic-filters-3.0.2 Reply with quote

pinr wrote:
After and emerge --sync today I get:
emerge -pvD world

These are the packages that would be merged, in order:

Calculating world dependencies \
emerge: there are no ebuilds to satisfy "=net-print/foomatic-filters-3.0.2".
(dependency required by "net-print/foomatic-3.0.2" [installed])



!!! Problem resolving dependencies for net-print/foomatic
!!! Depgraph creation failed.

Indeed there is no net-print/foomatic-filters-3.0.2 a directory listing gives:
ls /usr/portage/net-print/foomatic-filters
ChangeLog foomatic-filters-3.0.2-r1.ebuild
Manifest foomatic-filters-3.0.20060720.ebuild
files metadata.xml


Why don't you try
Code:
emerge -pvuD world


The 'u' flag tells emerge to just upgrade what can be upgraded. Without it you will be re-emerging everything in world, regardless of updates. With regards to net-print/foomatic-filters-3.0.2, that version is no longer in your portage tree, so when emerge tries to re-emerge it (as per 'emerge -pvD world') it doesn't find it and you get the error. So try adding the 'u' flag, and report back.

Cheers.
Back to top
View user's profile Send private message
davidgurvich
Veteran
Veteran


Joined: 23 Apr 2004
Posts: 1063

PostPosted: Sat Apr 07, 2007 4:20 pm    Post subject: Reply with quote

Wasn't foomatic split up into different ebuilds? Is that why I can't find net-print/foomatic on my system? Perhaps you should try to install foomatic-filters and see if there is a block.
Back to top
View user's profile Send private message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 284
Location: Den Haag, Netherlands

PostPosted: Sun Apr 08, 2007 9:10 am    Post subject: Reply with quote

I have almost the same error:

Code:
# emerge  -upDv  world

These are the packages that would be merged, in order:

Calculating world dependencies -
emerge: there are no ebuilds to satisfy "~net-print/foomatic-filters-3.0.20060601".
(dependency required by "net-print/foomatic-3.0.20060601" [installed])



!!! Problem resolving dependencies for net-print/foomatic
!!! Depgraph creation failed.


net-print/foomatic does not exist in my portage tree
foomatic-filters-3.0.20060720 is installed
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
pèdratan
n00b
n00b


Joined: 04 Feb 2003
Posts: 32
Location: Japon

PostPosted: Sun Apr 08, 2007 1:37 pm    Post subject: Reply with quote

According to this bug https://bugs.gentoo.org/show_bug.cgi?id=155545 is an old ebuild.
I had the same problem and I solved it by just unmerging foomatic. It actually doesn't remove anything, and everything keeps working.
According to the bug, current foomatic packages are:

net-print/foomatic-filters-3.0.20060720
net-print/foomatic-db-engine-3.0.20060720
net-print/foomatic-db-20060720
net-print/foomatic-db-ppds-20060720
net-print/foomatic-filters-ppds-20060720

Cheers and good luck.
Back to top
View user's profile Send private message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 284
Location: Den Haag, Netherlands

PostPosted: Sun Apr 08, 2007 1:45 pm    Post subject: Reply with quote

You are right, nothing is removed when unmerging foomatic :-)

My portage doesn't complain anymore.
thanks!
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum